<?php

function SetLensAppletGlobal(&$lens)
{
	# for scalability, we disable menu END and searching by match anywhere
	if (defined('APPLETS_SCALABILITY')) {
		
		$len = strlen($lens->menuHide);
		if (substr($lens->menuHide,$len-4) != ';END') {
			$lens->menuHide .= ';END';
		}
		
		$lens->menuHide .= ';END';
		$lens->filterAnyWhere = false;
	}
}

?>